Skip to content

Retrieve all Vault objects in the authenticated Vault.

GET/api/{version}/metadata/vobjects
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
locSet to true to retrieve localized (translated) strings for the label and label_plural object fields. If omitted, defaults to false and localized Strings are not included.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.3/metadata/vobjects?loc=true
{ "responseStatus": "SUCCESS", "objects": [ { "url": "/api/v21.3/metadata/vobjects/user__sys", "label": "User", "name": "user__sys", "label_plural": "Users", "prefix": "V0A", "order": 87, "in_menu": true, "source": "system", "status": [ "active__v" ], "configuration_state": "STEADY_STATE", "localized_data": { "label_plural": { "de": "Benutzer", "ru": "Пользователи", "sv": "Användare", "kr": "사용자", "en": "Users", "pt_BR": "Usuários", "it": "Utenti", "fr": "Utilisateurs", "hu": "Felhasználók", "es": "Usuarios", "zh": "用户", "zh_TW": "使用者", "th": "ผู้ใช้", "ja": "ユーザ", "pl": "Użytkownicy", "tr": "Kullanıcılar", "nl": "Gebruikers", "pt_PT": "Utilizadores" }, "label": { "de": "Benutzer", "ru": "Пользователь", "sv": "Användare", "kr": "사용자", "en": "User", "pt_BR": "Usuário", "it": "Utente", "fr": "Utilisateur", "hu": "Felhasználó", "es": "Usuario", "zh": "用户", "zh_TW": "使用者", "th": "ผู้ใช้", "ja": "ユーザ", "pl": "Użytkownik", "tr": "Kullanıcı", "nl": "Gebruiker", "pt_PT": "Utilizador" } } }, { "url": "/api/v21.3/metadata/vobjects/country__v", "label": "Country", "name": "country__v", "label_plural": "Countries", "prefix": "00C", "in_menu": true, "source": "standard", "status": [ "active__v" ], "configuration_state": "STEADY_STATE", "localized_data": { "label_plural": { "de": "Länder", "ru": "Страны", "sv": "Länder", "kr": "국가", "en": "Countries", "it": "Paesi", "pt_BR": "Países", "fr": "Pays", "hu": "Országok", "es": "Países", "zh": "国家/地区", "zh_TW": "國家/地區", "th": "ประเทศ", "ja": "国", "pl": "Kraje", "tr": "Ülkeler", "nl": "Landen", "pt_PT": "Países" }, "label": { "de": "Land", "ru": "Страна", "sv": "Land", "kr": "국가", "en": "Country", "it": "Paese", "pt_BR": "País", "fr": "Pays", "hu": "Ország", "es": "País", "zh": "国家/地区", "zh_TW": "國家/地區", "th": "ประเทศ", "ja": "国", "pl": "Kraj", "tr": "Ülke", "nl": "Land", "pt_PT": "País" } } } ] }

The response includes a summary of key information (url, label, name, prefix, status, etc.) for all standard and custom Vault Objects configured in your Vault.